:root {
    --top-categories-items-count: 4;
    --top-categories-picture-height: 400px;
    --top-categories-item-title-hover-line-width: 76px;
}
.top-categories {
    margin-bottom: 50px;
}
.top-categories .top-categories-list {
    margin: 30px -15px 0;
    overflow: hidden;
}
.top-categories .top-categories-item {
    padding: 0 15px;
}
.top-categories .top-categories-list:not(.slick-initialized) .top-categories-item {
    width: calc(100% / var(--top-categories-items-count));
}
.top-categories .top-categories-item-picture {
    height: var(--top-categories-picture-height);
    overflow: hidden;
}
.top-categories .top-categories-item-title {
    padding: 11px 15px;
    color: var(--text-main-color);
    font-size: 17px;
    line-height: 28px;
    transition: background-color 0.3s ease;
}
.top-categories .top-categories-item:hover .top-categories-item-title {
    background-color: var(--bg-khaki);
}
.top-categories .top-categories-item-title-text:before {
    position: absolute;
    bottom: 0;
    display: block;
    height: 1px;
    width: 0;
    background-color: var(--bg-orange);
    transition: width 0.3s ease-in-out;
    content: "";
}
.top-categories .top-categories-item:hover .top-categories-item-title-text:before {
    width: var(--top-categories-item-title-hover-line-width);
}
@media (max-width: 992px) {
    :root {
        --top-categories-picture-height: 262px;
        --top-categories-item-title-hover-line-width: 50px;
    }
    .top-categories .top-categories-item-title {
        padding: 7px 10px;
        font-size: 15px;
        line-height: 19px;
    }
}
@media (max-width: 768px) {
    :root {
        --top-categories-picture-height: 209px;
        --top-categories-item-title-hover-line-width: 35px;
    }
    .top-categories .top-categories-item-title {
        padding: 8px 10px;
        font-size: 13px;
        line-height: 1;
    }
}
@media (max-width: 550px) {
    :root {
        --top-categories-items-count: 2;
    }
}
@media (max-width: 375px) {
    :root {
        --top-categories-items-count: 1;
        --top-categories-picture-height: 320px;
        --top-categories-item-title-hover-line-width: 76px;
    }
    .top-categories {
        margin-bottom: 20px;
    }
    .top-categories .top-categories-item {
        padding: 0;
    }
    .top-categories .top-categories-item-picture img.img-stretch-vertical {
        height: auto;
        width: 100%;
    }
    .top-categories .top-categories-item-title {
        padding: 10px 15px;
        font-size: 17px;
        line-height: 30px;
    }
}
